package daruma.auth;

import daruma.auth.Account;

public class AuthenticationInfo
{
    private String authenticatedUser;

    public AuthenticationInfo()
    {
    }

    public AuthenticationInfo( String authenticatedUser )
    {
	this.authenticatedUser = authenticatedUser;
    }

    public boolean certificated()
    {
	return (this.authenticatedUser != null);
    }

    public Account getAuthenticatedAccount()
    {
	return new Account( this.authenticatedUser );
    }
}
